[android-components](../../index.md) / [mozilla.components.browser.icons.generator](../index.md) / [DefaultIconGenerator](./index.md)

# DefaultIconGenerator

`class DefaultIconGenerator : `[`IconGenerator`](../-icon-generator/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/icons/src/main/java/mozilla/components/browser/icons/generator/DefaultIconGenerator.kt#L24)

[IconGenerator](../-icon-generator/index.md) implementation that will generate an icon with a background color, rounded corners and a letter
representing the URL.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `DefaultIconGenerator(context: `[`Context`](https://developer.android.com/reference/android/content/Context.html)`, cornerRadius: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)` = DEFAULT_CORNER_RADIUS, textColor: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)` = Color.WHITE, backgroundColors: `[`IntArray`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int-array/index.html)` = DEFAULT_COLORS)`<br>[IconGenerator](../-icon-generator/index.md) implementation that will generate an icon with a background color, rounded corners and a letter representing the URL. |

### Functions

| Name | Summary |
|---|---|
| [generate](generate.md) | `fun generate(context: `[`Context`](https://developer.android.com/reference/android/content/Context.html)`, request: `[`IconRequest`](../../mozilla.components.browser.icons/-icon-request/index.md)`): `[`Icon`](../../mozilla.components.browser.icons/-icon/index.md) |
